rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
rpmps-py.c File Reference
PYTHON-C Language Bindings.
`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmiotypes.h>`
`#include <rpmtypes.h>`
`#include <rpmtag.h>`
`#include "rpmdebug-py.c"`
`#include "debug.h"`
Include dependency graph for rpmps-py.c:

Go to the source code of this file.

## Macros
#define | _RPMPS_INTERNAL /* XXX rpmps needs iterator */
#define | PERMIT_RPMPS_SUBSCRIPT /* XXX likely buggy */

## Functions
static PyObject * | rpmps_iter (rpmpsObject *s)
static PyObject * | rpmps_iternext (rpmpsObject *s)
static void | rpmps_dealloc (rpmpsObject *s)
static int | rpmps_print (rpmpsObject *s, FILE *fp, int flags)
static PyObject * | rpmps_getattro (PyObject *o, PyObject *n)
static int | rpmps_setattro (PyObject *o, PyObject *n, PyObject *v)
static int | rpmps_length (rpmpsObject *s)
static PyObject * | rpmps_subscript (rpmpsObject *s, PyObject *key)
static int | rpmps_ass_sub (rpmpsObject *s, PyObject *key, PyObject *value)
static int | rpmps_init (rpmpsObject *s, PyObject *args, PyObject *kwds)
static void | rpmps_free (rpmpsObject *s)
static PyObject * | rpmps_alloc (PyTypeObject *subtype, int nitems)
static PyObject * | rpmps_new (PyTypeObject *subtype, PyObject *args, PyObject *kwds)
rpmps | psFromPs (rpmpsObject *s)
rpmpsObject * | rpmps_Wrap (rpmps ps)
Class: Rpmps
static PyObject * | rpmps_Debug (rpmpsObject *s, PyObject *args, PyObject *kwds)
static int | rpmps_Append (rpmpsObject *s, PyObject *value)

## Variables
static struct PyMethodDef | rpmps_methods []
static PyMappingMethods | rpmps_as_mapping
static char | rpmps_doc []
PyTypeObject | rpmps_Type

## Macro Definition Documentation

#define _RPMPS_INTERNAL /* XXX rpmps needs iterator */

Definition at line 12 of file rpmps-py.c.

#define PERMIT_RPMPS_SUBSCRIPT /* XXX likely buggy */

Definition at line 201 of file rpmps-py.c.

## Function Documentation

static int rpmps_Append | ( | rpmpsObject * | s,
|  | PyObject * | value
| ) |  |
| static

Definition at line 82 of file rpmps-py.c.

References rpmpsObject_s::ps, and rpmpsAppend().

static int rpmps_ass_sub | ( | rpmpsObject * | s,
|  | PyObject * | key,
|  | PyObject * | value
| ) |  |
| static

Definition at line 204 of file rpmps-py.c.

References _free(), _rpmps_debug, alloca(), rpmpsObject_s::ps, rpmpsAppend(), and xstrdup().

static void rpmps_dealloc | ( | rpmpsObject * | s | ) |
| static

Definition at line 117 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, and rpmpsFree().

static PyObject* rpmps_Debug | ( | rpmpsObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds
| ) |  |
| static

Definition at line 67 of file rpmps-py.c.

References _rpmps_debug.

static PyObject* rpmps_getattro | ( | PyObject * | o,
|  | PyObject * | n
| ) |  |
| static

Definition at line 140 of file rpmps-py.c.

References _rpmps_debug.

static PyObject* rpmps_iter | ( | rpmpsObject * | s | ) |
| static

Definition at line 25 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, rpmpsObject_s::psi, and rpmpsInitIterator().

static PyObject* rpmps_iternext | ( | rpmpsObject * | s | ) |
| static

Definition at line 37 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, rpmpsObject_s::psi, rpmProblemString(), rpmpsFreeIterator(), rpmpsInitIterator(), rpmpsNextIterator(), and rpmpsProblem().

static int rpmps_length | ( | rpmpsObject * | s | ) |
| static

Definition at line 157 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, and rpmpsNumProblems().

static int rpmps_print | ( | rpmpsObject * | s,
|  | FILE * | fp,
|  | int | flags
| ) |  |
| static

Definition at line 129 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, and rpmpsPrint().

static int rpmps_setattro | ( | PyObject * | o,
|  | PyObject * | n,
|  | PyObject * | v
| ) |  |
| static

Definition at line 148 of file rpmps-py.c.

References _rpmps_debug.

static PyObject* rpmps_subscript | ( | rpmpsObject * | s,
|  | PyObject * | key
| ) |  |
| static

Definition at line 169 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, rpmProblemString(), rpmpsFreeIterator(), rpmpsInitIterator(), rpmpsNextIterator(), and rpmpsProblem().

## Variable Documentation

PyMappingMethods rpmps_as_mapping
| static

Initial value:
= {
(lenfunc) rpmps_length,
(binaryfunc) rpmps_subscript,
(objobjargproc) rpmps_ass_sub,
}

Definition at line 275 of file rpmps-py.c.

char rpmps_doc[]
| static

Initial value:
=
""

Definition at line 349 of file rpmps-py.c.

struct PyMethodDef rpmps_methods[]
| static

Initial value:
= {
{"Debug", (PyCFunction)rpmps_Debug, METH_VARARGS|METH_KEYWORDS,
NULL},
{"Append", (PyCFunction)rpmps_Append, METH_VARARGS|METH_KEYWORDS,
NULL},
{NULL, NULL}
}

Definition at line 105 of file rpmps-py.c.